%global           product_id dogtag-tomcatjss

%global           major_version 8
%global           minor_version 3
%global           update_version 0

Summary:          JSS Connector for Apache Tomcat
Name:             tomcatjss
Version:          %{major_version}.%{minor_version}.%{update_version}
Release:          2%{?dist}
License:          LGPLv2+
URL:              https://github.com/dogtagpki/tomcatjss
Source0:          %{url}/archive/v%{version}/tomcatjss-%{version}.tar.gz

BuildRequires:    ant apache-commons-lang3 java-17-openjdk-devel jpackage-utils slf4j slf4j-jdk14 tomcat
BuildRequires:    jss = 5.3

BuildArch:        noarch
ExclusiveArch:    %{java_arches} noarch

%description
JSS Connector for Apache Tomcat, installed via the tomcatjss package,
is a Java Secure Socket Extension (JSSE) module for Apache Tomcat that
uses Java Security Services (JSS), a Java interface to Network Security
Services (NSS).

%package -n %{product_id}
Summary:          JSS Connector for Apache Tomcat
BuildRequires:    tomcat
Requires:         apache-commons-lang3 java-17-openjdk-headless jpackage-utils slf4j slf4j-jdk14
Requires:         jss = 5.3
Provides:         tomcatjss = %{version}-%{release}
Provides:         tomcatjss = %{major_version}.%{minor_version}
Provides:         %{product_id} = %{major_version}.%{minor_version}
Obsoletes:        tomcatjss < %{version}-%{release}

%description -n %{product_id}
JSS Connector for Apache Tomcat, installed via the tomcatjss package,
is a Java Secure Socket Extension (JSSE) module for Apache Tomcat that
uses Java Security Services (JSS), a Java interface to Network Security
Services (NSS).

%prep
%autosetup -n tomcatjss-%{version}

%build
export JAVA_HOME=%{_jvmdir}/jre-17-openjdk

./build.sh \
    --name=%{product_id} \
    --work-dir=%{_vpath_builddir} \
    --version=%{version} \
    --jni-dir=%{_jnidir} \
    dist

%install
./build.sh \
    --name=%{product_id} \
    --work-dir=%{_vpath_builddir} \
    --version=%{version} \
    --java-dir=%{_javadir} \
    --doc-dir=%{_docdir} \
    --install-dir=%{buildroot} \
    install

%files -n %{product_id}
%license LICENSE
%defattr(-,root,root)
%doc README LICENSE
%{_javadir}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.3.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Mon Apr 24 2023 Miaojun Dong <zoedong@tencent.com> - 8.3.0-1
- initial build
